/** Shopify CDN: Minification failed

Line 121:7 Cannot use type selector "__item" directly after nesting selector "&"
Line 127:7 Cannot use type selector "__label" directly after nesting selector "&"
Line 131:7 Cannot use type selector "__text" directly after nesting selector "&"

**/
#table-size-guide-modal-opener-button {
  -webkit-appearance: none !important;
  appearance: none;
  background-color: transparent;
  border: none;
  cursor: pointer;
  font-size: var(--font-body-mobile-size);
  height: unset;
  margin-top: 10px;
  text-decoration: none;
  padding: 0 !important;
  text-decoration: underline;
  color: var(--link-color);
  font-weight: 700;
}

ud-modal#table-size-guide-modal {
  display: none;

  &[open] {
    display: flex !important;
    inset: 0;
    padding: 40px;
    overflow: auto;
  }

  #modal-content {
    border-radius: 15px;
    box-shadow: 5px 5px 20px #0000004d;
    height: fit-content;
    width: fit-content;
    min-width: fit-content;
    max-width: fit-content;
    border: .1rem solid rgb(0, 0, 0, 0.5);
    padding: 2rem;
    background-color: white;
    display: flex;
    flex-direction: column;
    gap: 15px;
    overflow: auto;
    margin: auto;

    #modal-header-section {
      display: flex;
      align-items: center;
      justify-content: space-between;
      width: 100%;

      h2 {
        font-size: 2.5rem;
        font-weight: 700;
        margin: 0;
        padding: 0;
        line-height: 1.2;
      }

      button {
      background: none;
      border: none;
      font-family: arial;
      cursor: pointer;
      font-size: 25px;
      padding: 0px;
      }
    }

    #modal-main-section {
      display: flex;
      flex-direction: column;

      #modal-table-div {
        display: grid;
        grid-template-columns: 1fr;
        gap: 10px;
        align-items: start;

        table {
          width: 100%;
          border-collapse: collapse;
          font-size: 18px;
          text-align: center;
          height: 100%;

          thead {
            th {
              padding: 13px;
              font-weight: 700;
              border: 1px solid #000000;
              min-width: 50px;
            }
          }

          tbody {
            td {
              padding: 15px;
              border: 1px solid #000000;
              text-align: center;
            }
          }
        }
      }
    }

    #modal-rows-label-description {
      display: flex;
      flex-direction: row;
      gap: 20px;
      width: 100%;

      span {
        font-size: 16px !important;
      }

      &__item {
        display: flex;
        gap: 8px;
        font-size: 14px;
      }

      &__label {
        font-weight: 700;
      }

      &__text {
        color: #555;
      }
    }

    #modal-additional-information {
      display: flex;
      flex-direction: column;
      font-size: 14px;
      width: 100%;
    }

    &[aria-label="Size Guide Clothes"] {
      #modal-main-section {
        #modal-table-div {
          grid-template-columns: 260px 1fr;

          img {
            width: 100%;
            height: 100%;
            display: block;
            object-fit: contain;
          }

          table {
            tbody {
              td:first-child {
                font-weight: 700;
              }
            }
          }

          #table-mobile-mode {
            display: none;
          }
        }
      }
    }
  }

  /*#modal-content[aria-label="Size Guide Clothes"] {
    max-width: calc(var(--width-extra-xxl) * 1.7);
    min-width: var(--width-extra-s);
  }*/

  #modal-content[aria-label="Size Guide Shoes"] {
    tbody {
      td {
        text-align: left !important;
      }
    }
  }
}

/* Responsive */
@media screen and (max-width: 980px) {
  #modal-content {
    width: 95% !important;
  }
}

@media screen and (max-width: 800px) {
  #modal-content {
    max-width: 550px !important;
  }

  #modal-table-div {
    grid-template-columns: 1fr !important;
  }
}

@media screen and (max-width: 600px) {
  #table-desktop-mode {
    display: none !important;
  }

  #table-mobile-mode {
    display: table !important;

    .size {
      text-align: left !important;
      padding-left: 10px !important;
    }
  }
}
